// =====================================================================
//  $Id: Rs00RunAction.hh,v 1.3 2003/10/06 16:28:15 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: Rs00RunAction.hh,v $
//  Revision 1.3  2003/10/06 16:28:15  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:14:23  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#ifndef __RS00RUNACTION_HH
#define __RS00RUNACTION_HH

#include "TRunAction.hh"

class TRun;
class TOutputObjectFile;

class Rs00RunAction
  : public TRunAction
{

  private:
    TOutputObjectFile* theOutputFile;

  public:
    Rs00RunAction();
    ~Rs00RunAction();

  public:
    Tvoid BeginOfRunAction( TRun& aRun );
    Tvoid EndOfRunAction( TRun& aRun );

  public:
    TOutputObjectFile* GetOutputFile() const;

};

inline TOutputObjectFile* Rs00RunAction::GetOutputFile() const
{
  return theOutputFile;
}

#endif
